/*
 * JPA entity PK template
 */

package de.ivu.elect.business.staat.entity;

@javax.enterprise.inject.Vetoed
public class StaatenGruppePK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<StaatenGruppePK> {

  private static final long serialVersionUID = 0L;

  public StaatenGruppePK() {
    super();
  }

  public StaatenGruppePK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "StaatenGruppePK:"+getId();
  }

  @Override
  public int compareTo(StaatenGruppePK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
